@list-icons-width: ceil(@font-size-base * 1.25 * 4);

form[name="record"] {

    div[data-group] > div.panel-heading > div.list-icons-target > h3.panel-title > div.list-icons {
        line-height: ceil(@font-size-base * 1.25);
    }

    div[data-field] > div > div.list-icons {
        line-height: @input-height-base;
    }

    div[data-group] > div.panel-heading > div.list-icons-target > h3.panel-title > div.list-icons,
    div[data-field] > div > div.list-icons {

        float: left;
        font-size: ceil(@font-size-base * 1.25);
        margin-left: 12px;
        margin-right: 0;
        text-align: right;
        width: @list-icons-width - 12px;

        a[data-type="delete"] {
            display: inline-block;
        }

        a[data-type="arrow-up"] {
            display: inline-block;
        }

        a[data-type="arrow-down"] {
            display: inline-block;
        }

        a[data-type="add"] {
            color: @ge-color-red;
            display: none;
        }

        + .list-icons-target {
            margin-left: @list-icons-width;
        }

    }

    div[data-group].repeatables-first > div.panel-heading > div.list-icons-target > h3.panel-title > div.list-icons,
    div[data-field].repeatables-first > div > div.list-icons {
        a[data-type="delete"] {
            display: none;
        }
        a[data-type="arrow-up"] {
            display: none;
        }
    }

    div[data-group].repeatables-last > div.panel-heading > div.list-icons-target > h3.panel-title > div.list-icons,
    div[data-field].repeatables-last > div > div.list-icons {
        a[data-type="arrow-down"] {
            display: none;
        }
        a[data-type="add"] {
            display: inline-block;
        }
    }

    div[data-group].repeatables-min-reached > div.panel-heading > div.list-icons-target > h3.panel-title > div.list-icons,
    div[data-field].repeatables-min-reached > div > div.list-icons {
        a[data-type="delete"] {
            display: none;
        }
    }

    div[data-group].repeatables-max-reached > div.panel-heading > div.list-icons-target > h3.panel-title > div.list-icons,
    div[data-field].repeatables-max-reached > div > div.list-icons {
        a[data-type="add"] {
            display: none;
        }
    }

    div[data-group].repeatables-last.repeatables-max-reached > div.panel-heading > div.list-icons-target > h3.panel-title > div.list-icons,
    div[data-field].repeatables-last.repeatables-max-reached > div > div.list-icons {
        a[data-type="add"] {
            display: inline-block;
            visibility: hidden;
        }
    }

    .panel {

        .panel-heading {
            .list-icons {
                line-height: ceil(@font-size-base * 1.25);
            }
        }

        div[data-field] {

            .repeatable-field-info, .repeatables-hidden {
                display: none;
                margin-left: @list-icons-width;
            }

            .repeatables-hidden {
                display: none;
            }

            &.repeatables-first {
                .repeatable-field-info, .repeatables-hidden {
                    display: inline-block;
                }
                .repeatables-hidden {
                    display: block;
                }
            }

        }
    }

}
